Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.camera
Class AxisCamera.WhiteBalanceT

    java.lang.Object
      edu.wpi.first.wpilibj.camera.AxisCamera.WhiteBalanceT

Enclosing class:
  AxisCamera

    public static class AxisCamera.WhiteBalanceT

extends Object

Enumeration representing the different values which white balence may be set to.

Field Summary
`static AxisCamera.WhiteBalanceT` | `automatic` The axis camera automatically adjusts the whit balance.
`static AxisCamera.WhiteBalanceT` | `fixedFlour1` White balance for fourescent lighting.
`static AxisCamera.WhiteBalanceT` | `fixedFlour2` White balance for fourescent lighting.
`static AxisCamera.WhiteBalanceT` | `fixedIndoor` White balance for indoors.
`static AxisCamera.WhiteBalanceT` | `fixedOutdoor1` White balance for outdoors.
`static AxisCamera.WhiteBalanceT` | `fixedOutdoor2` White balance for outdoors.
`static AxisCamera.WhiteBalanceT` | `hold` Hold the current white balance.
`int` | `value` The integer value of the enumeration.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value of the enumeration.

### automatic

    public static final AxisCamera.WhiteBalanceT automatic

  The axis camera automatically adjusts the whit balance.

### hold

    public static final AxisCamera.WhiteBalanceT hold

  Hold the current white balance.

### fixedOutdoor1

    public static final AxisCamera.WhiteBalanceT fixedOutdoor1

  White balance for outdoors.

### fixedOutdoor2

    public static final AxisCamera.WhiteBalanceT fixedOutdoor2

  White balance for outdoors.

### fixedIndoor

    public static final AxisCamera.WhiteBalanceT fixedIndoor

  White balance for indoors.

### fixedFlour1

    public static final AxisCamera.WhiteBalanceT fixedFlour1

  White balance for fourescent lighting.

### fixedFlour2

    public static final AxisCamera.WhiteBalanceT fixedFlour2

  White balance for fourescent lighting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"